Get Transaction
curl --request GET \
--url https://api.convexity.tools/v1/tokens/transactions/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/transactions/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/transactions/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transaction retrieved successfully",
"data": {
"id": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"projectId": "6a171d8571dd1e1496b3f290",
"type": "BURN",
"status": "CONFIRMED",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": "50",
"txHash": "0xd4282642582ef0c458d78ca21891b11742b4c6483c1acf949584265e200ae7fb",
"blockNumber": 43042237,
"blockHash": "0x949d50919d5f1804bd86f9df7562fac6fede74176723309c9db1ed0c5a986f64",
"gasUsed": "104073",
"feeWei": "749325600000",
"operationRef": "burn_6734f2528ba9bce9ff246775137d3b8d",
"memo": "Investor exit",
"createdAt": "2026-06-19T07:05:55.396Z",
"confirmedAt": "2026-06-19T07:06:12.973Z"
}
}Tokenization
Get Transaction
Fetches a single token transaction by its reference.
GET
/
v1
/
tokens
/
transactions
/
{ref}
Get Transaction
curl --request GET \
--url https://api.convexity.tools/v1/tokens/transactions/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/transactions/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/transactions/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transaction retrieved successfully",
"data": {
"id": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"projectId": "6a171d8571dd1e1496b3f290",
"type": "BURN",
"status": "CONFIRMED",
"fromAddress": "0x19F538a73e26F90cd8F76fb362B909B169df4E44",
"amount": "50",
"txHash": "0xd4282642582ef0c458d78ca21891b11742b4c6483c1acf949584265e200ae7fb",
"blockNumber": 43042237,
"blockHash": "0x949d50919d5f1804bd86f9df7562fac6fede74176723309c9db1ed0c5a986f64",
"gasUsed": "104073",
"feeWei": "749325600000",
"operationRef": "burn_6734f2528ba9bce9ff246775137d3b8d",
"memo": "Investor exit",
"createdAt": "2026-06-19T07:05:55.396Z",
"confirmedAt": "2026-06-19T07:06:12.973Z"
}
}⌘I
